Bug 154062 - evolution crashes when viewing Outlook calendar entry
evolution crashes when viewing Outlook calendar entry
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
impact=moderate,source=bugzilla,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-06 18:38 EDT by sa@tmt.ca.boeing.com
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 12:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Outlook Email with Calendar Attachment (3.93 KB, text/plain)
2005-04-07 16:09 EDT, sa@tmt.ca.boeing.com
no flags Details

  None (edit)
Description sa@tmt.ca.boeing.com 2005-04-06 18:38:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.4.3) Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
A user running evolution receives an Email message generated
by Microsoft Outlook that contains a calendar entry.  As soon
as the user clicks on the Email message evolution crashes
with a segmentation fault (evolution does briefly display
the contents of the Email with a link to the meeting.ics
attachment, but the fatal error/segmentation fault window
quickly pops up.

Unfortunately user is unable to even delete message unless there
is an entry before or after that he can shift-click on the
calendar message and adjacent message and then has to delete both
to remove the 'offending' calendar entry.

Version-Release number of selected component (if applicable):
evolution-1.4.5-9

How reproducible:
Always

Steps to Reproduce:
1.Message received from Outlook containing calendar entry.
2.Click on Email entry in evolution, instanteneous crash.
3.
  

Additional info:

Unfortunately there are no additional error messages in the
launching shell window, nor messages file.
Comment 1 Dave Malcolm 2005-04-07 15:31:50 EDT
Thanks for this report.  Is it possible for you to attach a sample crash-causing
email to this bug?

If I understand things correctly, it's crashing displaying the preview of the
message.

As a workaround, if you need to delete these messages without the shift-click
method you describe you can turn off the Preview Pane within Evolution from the
View menu: by toggling View->Preview Pane; alternatively, you can do this from
the command line (as that user) by typing:
  gconftool-2 --set /apps/evolution/mail/display/show_preview --type=bool false
and restarting Evolution; this will enable you to select the mail individually
from the list view.
Comment 2 sa@tmt.ca.boeing.com 2005-04-07 16:09:13 EDT
Created attachment 112828 [details]
Outlook Email with Calendar Attachment
Comment 3 sa@tmt.ca.boeing.com 2005-04-07 16:20:26 EDT
You are correct, the crash occurs displaying th preview of the message.
Thanks for the tip on how to disable the preview pane so the user can
delete just the 'offending' Email message.

I'll attach a copy of a test Email message that causes evolution to
crash.
Comment 4 Dave Malcolm 2005-04-07 17:09:32 EDT
Thanks for the attachment.  Do you think you could also attach a backtrace from
the segfault?

This looks like it may be this upstream bug:
http://bugzilla.ximian.com/show_bug.cgi?id=62056

That bug was resolved as a duplicate of this one:
http://bugzilla.ximian.com/show_bug.cgi?id=62911
However, I believe that latter bug would lead to Evolution appearing to lock up,
rather than segfaulting.  So I'm not convinced of upstream's resolution of this one.
Comment 5 sa@tmt.ca.boeing.com 2005-04-07 17:26:41 EDT
Here is the backtrace.  Let me know if you need additonal information.  Thanks!

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)...Using host libthread_db library
"/lib64/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread 182989934432 (LWP 26454)]
[New Thread 1115683184 (LWP 26460)]
[Thread debugging using libthread_db enabled]
[New Thread 182989934432 (LWP 26454)]
[New Thread 1115683184 (LWP 26460)]
[Thread debugging using libthread_db enabled]
[New Thread 182989934432 (LWP 26454)]
[New Thread 1115683184 (LWP 26460)]
[New Thread 1105197424 (LWP 26459)]
[New Thread 1094711664 (LWP 26458)]
[New Thread 1084225904 (LWP 26457)]
0x0000002a98975975 in waitpid () from /lib64/tls/libpthread.so.0
#0  0x0000002a98975975 in waitpid () from /lib64/tls/libpthread.so.0
#1  0x0000002a961bc269 in libgnomeui_module_info_get () from
/usr/lib64/libgnomeui-2.so.0
#2  0x0000000000451375 in evolution_storage_set_view_factory_new_view ()
#3  <signal handler called>
#4  0x0000002a95d6b930 in icalproperty_string_to_enum () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#5  0x0000002a95d91e78 in icalvalue_new_enum () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#6  0x0000002a95d92047 in icalvalue_new_from_string_with_error () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#7  0x0000002a95d9282b in icalvalue_new_from_string () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#8  0x0000002a95d859a8 in icalparser_add_line () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#9  0x0000002a95d854f9 in icalparser_parse () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#10 0x0000002a95d85f71 in icalparser_parse_string () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
#11 0x0000002a9eb705b0 in e_itip_control_set_data () from
/usr/lib64/evolution/1.4/components/libevolution-calendar.so
#12 0x0000002a9eb91f60 in goto_dialog () from
/usr/lib64/evolution/1.4/components/libevolution-calendar.so
#13 0x0000002a991b93ae in g_timeout_add () from /usr/lib64/libglib-2.0.so.0
#14 0x0000002a991b6ac2 in unblock_source () from /usr/lib64/libglib-2.0.so.0
#15 0x0000002a991b7a3c in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#16 0x0000002a991b7d00 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#17 0x0000002a991b839a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#18 0x0000002a96bfdbcb in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#19 0x00000000004516f4 in main ()

Thread 5 (Thread 1084225904 (LWP 26457)):
#0  0x0000002a989722f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95b0ba25 in e_msgport_wait () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x0000002a95b0c295 in e_thread_busy () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x0000002a9896fc6b in start_thread () from /lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x0000002a993dbe43 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 1094711664 (LWP 26458)):
#0  0x0000002a989722f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95b0ba25 in e_msgport_wait () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x0000002a95b0c295 in e_thread_busy () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x0000002a9896fc6b in start_thread () from /lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x0000002a993dbe43 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1105197424 (LWP 26459)):
#0  0x0000002a989722f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95b0ba25 in e_msgport_wait () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x0000002a95b0c295 in e_thread_busy () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x0000002a9896fc6b in start_thread () from /lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x0000002a993dbe43 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1115683184 (LWP 26460)):
#0  0x0000002a989722f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95b0ba25 in e_msgport_wait () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#2  0x0000002a95b0c295 in e_thread_busy () from
/usr/lib64/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x0000002a9896fc6b in start_thread () from /lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x0000002a993dbe43 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 182989934432 (LWP 26454)):
#0  0x0000002a98975975 in waitpid () from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a961bc269 in libgnomeui_module_info_get () from
/usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  0x0000000000451375 in evolution_storage_set_view_factory_new_view ()
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0000002a95d6b930 in icalproperty_string_to_enum () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#5  0x0000002a95d91e78 in icalvalue_new_enum () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#6  0x0000002a95d92047 in icalvalue_new_from_string_with_error () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#7  0x0000002a95d9282b in icalvalue_new_from_string () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#8  0x0000002a95d859a8 in icalparser_add_line () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#9  0x0000002a95d854f9 in icalparser_parse () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#10 0x0000002a95d85f71 in icalparser_parse_string () from
/usr/lib64/evolution/1.4/libical-evolution.so.0
No symbol table info available.
#11 0x0000002a9eb705b0 in e_itip_control_set_data () from
/usr/lib64/evolution/1.4/components/libevolution-calendar.so
No symbol table info available.
#12 0x0000002a9eb91f60 in goto_dialog () from
/usr/lib64/evolution/1.4/components/libevolution-calendar.so
No symbol table info available.
#13 0x0000002a991b93ae in g_timeout_add () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#14 0x0000002a991b6ac2 in unblock_source () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#15 0x0000002a991b7a3c in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
No symbol table info available.
#16 0x0000002a991b7d00 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
No symbol table info available.
#17 0x0000002a991b839a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#18 0x0000002a96bfdbcb in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#19 0x00000000004516f4 in main ()
No symbol table info available.
Comment 8 Josh Bressers 2005-06-16 18:23:56 EDT
Dave,

Have you verified if this issue affects RHEL4?
Comment 9 sa@tmt.ca.boeing.com 2005-06-16 18:47:51 EDT
We currently only have one test system at RHEL4 and evolution
does behaves correctly and will not crash when reading a
calendar message, so it would appear the bug is indeed fixed
in evolution-2.0.2-8.

Any chance this fix will be applied to a RHEL 3, 1.x release
of evolution, for it will be several months before we can do
the upgrade to RHEL4?
Comment 10 Dave Malcolm 2005-06-20 19:37:27 EDT
I successfully reproduced the crash with evolution-1.4.5-9 on x86_64

This bug looks similar to bug #157352; the ical parsing code had some 64-bit
issues.  I believe I fixed them evolution-1.4.5-14

Please can you try upgrading to evolution-1.4.5-14 and confirm whether this
fixes it for you (it fixes the crash for me).  More information on obtaining
that version of evolution can be found here:
http://rhn.redhat.com/errata/RHSA-2005-238.html

Comment 11 sa@tmt.ca.boeing.com 2005-06-22 18:21:56 EDT
I have loaded evolution-1.4.5-9 on our RHEL 3 systems and it works
like a charm!  We can now successfully receive calendar appointments
from Outlook.

Thank you, consider this one resolved!
Comment 12 Dave Malcolm 2005-06-22 18:32:58 EDT
Thanks for the feedback.

In comment #11, did you mean to say "evolution-1.4.5-14", rather than
"evolution-1.4.5-9" ?

(I believe the crash with ical parsing in releases before "-14" is specific to
x86_64, and would not affect i386 machines)
Comment 13 sa@tmt.ca.boeing.com 2005-06-22 18:41:17 EDT
Dave:  Oops, my mistake, I meant to say evolution-1.4.5-14 was loaded
on our RHEL 3 x86_64 machines and the -14 version did indeed fix our
problem.  Thanks again!
Comment 14 Dave Malcolm 2005-06-23 12:14:15 EDT
Thanks for the clarification; good to hear that it's working for you now.

I'm going to close this bug (resolving it as "ERRATA").

Note You need to log in before you can comment on or make changes to this bug.